import request from '@/utils/request'

// 查询会员信息(游客)列表
export function listMember(query) {
  return request({
    url: '/management/member/list',
    method: 'get',
    params: query
  })
}

// 查询会员信息(游客)详细
export function getMember(memberId) {
  return request({
    url: '/management/member/' + memberId,
    method: 'get'
  })
}

// 新增会员信息(游客)
export function addMember(data) {
  return request({
    url: '/management/member',
    method: 'post',
    data: data
  })
}

// 修改会员信息(游客)
export function updateMember(data) {
  return request({
    url: '/management/member',
    method: 'put',
    data: data
  })
}

// 删除会员信息(游客)
export function delMember(memberId) {
  return request({
    url: '/management/member/' + memberId,
    method: 'delete'
  })
}

// 导出会员信息(游客)
export function exportMember(query) {
  return request({
    url: '/management/member/export',
    method: 'get',
    params: query
  })
}